import * as BasicValidation from "./basicValidation.cjs";
/**
 * This function validates the inputs to listExperiments()
 */
export function validateListExperimentsInput() {
    return true;
}
/**
 * This function validates the outputs of listExperiments()
 */
export function validateListExperimentsOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateListExperimentsResponse200Response(response.body)) {
            validateListExperimentsOutput.errors = BasicValidation.validateListExperimentsResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateListExperimentsOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to createExperiment()
 */
export function validateCreateExperimentInput(parameters, body) {
    if (parameters) {
        if (!BasicValidation.validateChangedURLRequest(parameters["changedURL"])
            && parameters['changedURL'] !== undefined) {
            validateCreateExperimentInput.errors = BasicValidation.validateChangedURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    if (!BasicValidation.validateCreateExperimentBodyRequest(body)) {
        validateCreateExperimentInput.errors = BasicValidation.validateCreateExperimentBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of createExperiment()
 */
export function validateCreateExperimentOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!BasicValidation.validateCreateExperimentResponse201Response(response.body)) {
            validateCreateExperimentOutput.errors = BasicValidation.validateCreateExperimentResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 202) {
        if (!BasicValidation.validateCreateExperimentResponse202Response(response.body)) {
            validateCreateExperimentOutput.errors = BasicValidation.validateCreateExperimentResponse202Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateCreateExperimentOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to getExperiment()
 */
export function validateGetExperimentInput(parameters) {
    if (parameters) {
        if (!BasicValidation.validateExperimentIdRequest(parameters["experiment_id"])) {
            validateGetExperimentInput.errors = BasicValidation.validateExperimentIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of getExperiment()
 */
export function validateGetExperimentOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateGetExperimentResponse200Response(response.body)) {
            validateGetExperimentOutput.errors = BasicValidation.validateGetExperimentResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetExperimentOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to updateExperiment()
 */
export function validateUpdateExperimentInput(parameters, body) {
    if (parameters) {
        if (!BasicValidation.validateExperimentIdRequest(parameters["experiment_id"])) {
            validateUpdateExperimentInput.errors = BasicValidation.validateExperimentIdRequest.errors;
            return false;
        }
        if (!BasicValidation.validateChangedURLRequest(parameters["changedURL"])
            && parameters['changedURL'] !== undefined) {
            validateUpdateExperimentInput.errors = BasicValidation.validateChangedURLRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!BasicValidation.validateUpdateExperimentBodyRequest(body)) {
        validateUpdateExperimentInput.errors = BasicValidation.validateUpdateExperimentBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of updateExperiment()
 */
export function validateUpdateExperimentOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateUpdateExperimentResponse200Response(response.body)) {
            validateUpdateExperimentOutput.errors = BasicValidation.validateUpdateExperimentResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 202) {
        if (!BasicValidation.validateUpdateExperimentResponse202Response(response.body)) {
            validateUpdateExperimentOutput.errors = BasicValidation.validateUpdateExperimentResponse202Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateUpdateExperimentOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to deleteExperiment()
 */
export function validateDeleteExperimentInput(parameters) {
    if (parameters) {
        if (!BasicValidation.validateExperimentIdRequest(parameters["experiment_id"])) {
            validateDeleteExperimentInput.errors = BasicValidation.validateExperimentIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of deleteExperiment()
 */
export function validateDeleteExperimentOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteExperimentOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to listTemplate()
 */
export function validateListTemplateInput() {
    return true;
}
/**
 * This function validates the outputs of listTemplate()
 */
export function validateListTemplateOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateListTemplateResponse200Response(response.body)) {
            validateListTemplateOutput.errors = BasicValidation.validateListTemplateResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateListTemplateOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to createTemplate()
 */
export function validateCreateTemplateInput(body) {
    if (!BasicValidation.validateCreateTemplateBodyRequest(body)) {
        validateCreateTemplateInput.errors = BasicValidation.validateCreateTemplateBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of createTemplate()
 */
export function validateCreateTemplateOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!BasicValidation.validateCreateTemplateResponse201Response(response.body)) {
            validateCreateTemplateOutput.errors = BasicValidation.validateCreateTemplateResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 202) {
        if (!BasicValidation.validateCreateTemplateResponse202Response(response.body)) {
            validateCreateTemplateOutput.errors = BasicValidation.validateCreateTemplateResponse202Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateCreateTemplateOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to getTemplate()
 */
export function validateGetTemplateInput(parameters) {
    if (parameters) {
        if (!BasicValidation.validateTemplateIdRequest(parameters["template_id"])) {
            validateGetTemplateInput.errors = BasicValidation.validateTemplateIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of getTemplate()
 */
export function validateGetTemplateOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateGetTemplateResponse200Response(response.body)) {
            validateGetTemplateOutput.errors = BasicValidation.validateGetTemplateResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetTemplateOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to updateTemplate()
 */
export function validateUpdateTemplateInput(parameters, body) {
    if (parameters) {
        if (!BasicValidation.validateTemplateIdRequest(parameters["template_id"])) {
            validateUpdateTemplateInput.errors = BasicValidation.validateTemplateIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (!BasicValidation.validateUpdateTemplateBodyRequest(body)) {
        validateUpdateTemplateInput.errors = BasicValidation.validateUpdateTemplateBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of updateTemplate()
 */
export function validateUpdateTemplateOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!BasicValidation.validateUpdateTemplateResponse200Response(response.body)) {
            validateUpdateTemplateOutput.errors = BasicValidation.validateUpdateTemplateResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 202) {
        if (!BasicValidation.validateUpdateTemplateResponse202Response(response.body)) {
            validateUpdateTemplateOutput.errors = BasicValidation.validateUpdateTemplateResponse202Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateUpdateTemplateOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs to deleteTemplate()
 */
export function validateDeleteTemplateInput(parameters) {
    if (parameters) {
        if (!BasicValidation.validateTemplateIdRequest(parameters["template_id"])) {
            validateDeleteTemplateInput.errors = BasicValidation.validateTemplateIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs of deleteTemplate()
 */
export function validateDeleteTemplateOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteTemplateOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
//# sourceMappingURL=requestValidation.js.map