import { randomBytes } from 'crypto';
class NonceStore {
    circular_buffer = new Array(100);
    index = 0;
    get() {
        const nonce = randomBytes(32).toString('base64url');
        this.circular_buffer[this.index] = nonce;
        this.index = (this.index + 1) % this.circular_buffer.length;
        return nonce;
    }
    check(nonce) {
        if (nonce === '' || nonce === undefined) {
            return false;
        }
        const index = this.circular_buffer.indexOf(nonce);
        if (index === -1) {
            return false;
        }
        else {
            this.circular_buffer[index] = '';
            return true;
        }
    }
}
export const nonce_store = new NonceStore();
//# sourceMappingURL=nonce.js.map